
ChiliProject - Bug # 1087: Document category is not saved properly
Created: 2012-07-22 Assignee: Holger Just
Updated: 2012-08-20 Due date:
Remote issue URL:
Affected version: 3.1.0
Description: Not sure if this is not a duplicate, but I could't find it reported yet.

When you do create a document, and you use custom categories for them, always the first category is saved 
for the document. When you update it later, it works normally.

I am experiencing this on ChiliProject 3.1.0.99614354a, it's possible that in newer version it is already fixed?

Associated revisions
2012-08-20 06:26 pm - Holger Just 
Set default category_id instead of the object #1087

Rails 2.3 still has issues with synchronizing the association_id
and association attributes of an object. That means, if you set the
association with an object first and then just set the id afterwards, the object wins and the setting of the id gets lost.

This is not an issue in Rails >= 3.1 anymore.

History
2012-08-15 05:32 pm - TomÃ¡Å¡ Jukin
- Target version set to 3.4.0

Any update fot this bug? It is really annoying. And it is in the latest version. Confirmed.

2012-08-16 02:27 am - Andrew Smith
Just confirmed this.

It happens when there is a default value selected for the enum. 

2012-08-20 06:50 pm - Holger Just
- Assignee set to Holger Just

- Status changed from Open to Closed

This should be fixed in commit:7a4b664 for Rails 2.3. With Rails 3, it should have worked right away. Time we updated...
